#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 stack
version:              2.7.3
visibility:           public
id:                   stack-2.7.3-D0j7fd9EXLy1u1Ze099snU
key:                  stack-2.7.3-D0j7fd9EXLy1u1Ze099snU
license:              BSD-3-Clause
maintainer:           manny@fpcomplete.com
author:               Commercial Haskell SIG
homepage:             http://haskellstack.org
synopsis:             The Haskell Tool Stack
description:
    Please see the documentation at <https://docs.haskellstack.org>
    for usage information.

    If building a '\''stack'\'' executable for distribution, please download the
    source code from <https://github.com/commercialhaskell/stack/releases>
    and build it using Stack itself in order to ensure identical behaviour
    to official binaries.  This package on Hackage is provided for convenience
    and bootstrapping purposes.

    Note that the API for the library is not currently stable, and may
    change significantly, even between minor releases. It is
    currently only intended for use by the executable.

category:             Development
abi:                  6f7d2bb6028286cf44295df701b7ee57
exposed:              True
exposed-modules:
    Control.Concurrent.Execute Data.Attoparsec.Args
    Data.Attoparsec.Combinators Data.Attoparsec.Interpreter
    Data.Monoid.Map Network.HTTP.StackClient Options.Applicative.Args
    Options.Applicative.Builder.Extra Options.Applicative.Complicated
    Path.CheckInstall Path.Extra Path.Find Paths_stack Stack.Build
    Stack.Build.Cache Stack.Build.ConstructPlan Stack.Build.Execute
    Stack.Build.Haddock Stack.Build.Installed Stack.Build.Source
    Stack.Build.Target Stack.BuildPlan Stack.Clean Stack.Config
    Stack.Config.Build Stack.Config.Docker Stack.Config.Nix
    Stack.ConfigCmd Stack.Constants Stack.Constants.Config
    Stack.Coverage Stack.DefaultColorWhen Stack.Docker Stack.Dot
    Stack.FileWatch Stack.GhcPkg Stack.Ghci Stack.Ghci.Script
    Stack.Hoogle Stack.IDE Stack.Init Stack.List Stack.Lock Stack.Ls
    Stack.New Stack.Nix Stack.Options.BenchParser
    Stack.Options.BuildMonoidParser Stack.Options.BuildParser
    Stack.Options.CleanParser Stack.Options.Completion
    Stack.Options.ConfigParser Stack.Options.DockerParser
    Stack.Options.DotParser Stack.Options.ExecParser
    Stack.Options.GhcBuildParser Stack.Options.GhcVariantParser
    Stack.Options.GhciParser Stack.Options.GlobalParser
    Stack.Options.HaddockParser Stack.Options.HpcReportParser
    Stack.Options.LogLevelParser Stack.Options.NewParser
    Stack.Options.NixParser Stack.Options.PackageParser
    Stack.Options.ResolverParser Stack.Options.SDistParser
    Stack.Options.ScriptParser Stack.Options.TestParser
    Stack.Options.UploadParser Stack.Options.Utils Stack.Package
    Stack.PackageDump Stack.Path Stack.Prelude Stack.Runners
    Stack.SDist Stack.Script Stack.Setup Stack.Setup.Installed
    Stack.SetupCmd Stack.SourceMap Stack.Storage.Project
    Stack.Storage.User Stack.Storage.Util Stack.Types.Build
    Stack.Types.Compiler Stack.Types.CompilerBuild Stack.Types.Config
    Stack.Types.Config.Build Stack.Types.Docker Stack.Types.GhcPkgId
    Stack.Types.NamedComponent Stack.Types.Nix Stack.Types.Package
    Stack.Types.PackageName Stack.Types.Resolver Stack.Types.SourceMap
    Stack.Types.TemplateName Stack.Types.Version
    Stack.Types.VersionIntervals Stack.Unpack Stack.Upgrade
    Stack.Upload System.Info.ShortPathName System.Permissions
    System.Process.Pager System.Terminal

hidden-modules:       Path.Extended Stack.Types.Cache System.Uname
import-dirs:          /usr/lib/ghc-9.0.1/site-local/stack-2.7.3
library-dirs:         /usr/lib/ghc-9.0.1/site-local/stack-2.7.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/stack-2.7.3
hs-libraries:         HSstack-2.7.3-D0j7fd9EXLy1u1Ze099snU
depends:
    Cabal-3.4.0.0 aeson-1.5.6.0-HjRPlMbeXBZ4yuplu15455
    annotated-wl-pprint-0.7.0-70TwcJulbP410FZMDCXWmO
    ansi-terminal-0.11-AWG4ISlY8CcEJlJfIhaQcb array-0.5.4.0
    async-2.2.3-KG7Du60y7DvAqBDAYoSjqL
    attoparsec-0.14.1-FCw2YbaswCt6roS8dkagL4 base-4.15.0.0
    base64-bytestring-1.2.1.0-GF7RNKVUXzr7ftO0CMZbPs
    bytestring-0.10.12.1 casa-client-0.0.1-G7R2yaoMhRmEHSOZpYz6yZ
    casa-types-0.0.2-AfnyUgo4bxoG8155EtQkfr
    colour-2.3.6-2cY222O1bdPRpo2ttr4Kr
    conduit-1.3.4.1-APoT7S8i9fNAuDbLjFbyiG
    conduit-extra-1.3.5-Jb775pqQofeLr1tpdbSUmT containers-0.6.4.1
    cryptonite-0.29-9t1m9WkRw4NHt6hLWOfmFh
    cryptonite-conduit-0.2.2-H1XFjCYhBtiHt9wOMSpCMg deepseq-1.4.5.0
    directory-1.3.6.1 echo-0.1.4-9WkOqrcNnDn8K5KbomRoSw
    exceptions-0.10.4 extra-1.7.10-3tDBYCQCoM76FUUqSWK3rB
    file-embed-0.0.14.0-DpVDNlFaM0M9fTuZiTfuRf
    filelock-0.1.1.5-DI6RNIkJxjyJcfMT5Qq7S5 filepath-1.4.2.1
    fsnotify-0.3.0.1-Lnl4uC7d9eU1sDb3hgE6CV
    generic-deriving-1.14.1-BAFuDYzrSHx7DKuJM3HYB8
    hackage-security-0.6.0.1-KrJIyVtUDwaD2hXuU86bcg
    hashable-1.3.3.0-LgC2GKp34OLEabneGtyuCb
    hi-file-parser-0.1.2.0-JCJP1xRJQBj99eVvw0qjVE
    hpack-0.34.4-6DqShLAcCzu7SF351w1dSN hpc-0.6.1.0
    http-client-0.7.9-1kS7jLwfGjN10TMdlrBFei
    http-client-tls-0.3.5.3-1eUOaCFAZEu4XD8Ub2Td2W
    http-conduit-2.3.8-3hBvmq0fBBAGNEHauTQIdw
    http-download-0.2.0.0-LZ3gKGMgx1YEIcyJ8ODAiL
    http-types-0.12.3-GbuqI8dbngCJpBlxNWvblX
    memory-0.16.0-CGaPOmXCTce28vOCDDnDFr
    microlens-0.4.12.0-IoK2ncpVKVzEwRUasmz5D3
    mintty-0.1.2-5b08LLwS4rI2XuvUvOFfBx
    mono-traversable-1.0.15.3-1Vt9SE6i9euIlHELYsaTH6 mtl-2.2.2
    mustache-2.3.1-E7cMeMNTCJ9BMYgfsEo1xX
    neat-interpolation-0.5.1.2-FTDsQRnLCDfDcE5Nh2cQh4
    network-uri-2.6.4.1-DJOF1HMaUfXCJujDIgDzpa
    open-browser-0.2.1.0-CCCAftezS4EInxcC0BPvzu
    optparse-applicative-0.16.1.0-GAf19vjqBowD5QTDnxMOQQ
    pantry-0.5.2.3-9fgltrYpZ56LcCQBiuobUc
    path-0.9.0-Jsb8oLcJNZ1BNBhu5U2Kh1
    path-io-1.6.3-4vJDzMvRKwrDDQc5YjsSMA
    persistent-2.13.1.2-4s10bQ5YiK72u0ZHOuIXj1
    persistent-sqlite-2.13.0.3-EEzmLKBHzbkEdWuiNpaDQE pretty-1.1.3.6
    primitive-0.7.2.0-DQiZ1lgcA292S6BuzoCrGU process-1.6.11.0
    project-template-0.2.1.0-4ZzOEg56t3q3ULnxA5sQBY
    regex-applicative-text-0.1.0.1-2DnLVKxyDLTC7m428o6kzg
    retry-0.9.0.0-Hbh6SPlDbrjKrgEiaWp0bF
    rio-0.1.21.0-FII9UFGndYkIslQ325haw8
    rio-prettyprint-0.1.1.0-BzUeDLjURkVLUaMvRhafMd
    split-0.2.3.4-66WnL8lpKgJ9suCZaVklHQ stm-2.5.0.0
    streaming-commons-0.2.2.1-7LA9GKNqrot91040oTVDDS
    tar-0.5.1.1-Fx8alHB34KHLCqrYezkkNk template-haskell-2.17.0.0
    temporary-1.3-DIthq2WnddjKMWnYYT9Yc7 text-1.2.4.1
    text-metrics-0.3.1-7mdNDO9gyVUA1syOWeSZgu
    th-reify-many-0.1.10-3nk5mBaCcZzEN9hgr5s3UK time-1.9.3
    tls-1.5.5-J3DEZSS5z08E2e16jfcrN transformers-0.5.6.2
    typed-process-0.2.6.1-5VmWldT14r7DXfy6g1IYsv
    unicode-transforms-0.3.8-7yEG2dJEwV0Gnu4N3gigcP unix-2.7.2.2
    unix-compat-0.5.3-CsWJk3UHZrh7lbWn5tdOhn
    unliftio-0.2.20-3jQQWOhTCIOD2o7wzDHAMp
    unordered-containers-0.2.14.0-Wie4T3gD5k18ShmuaDNll
    vector-0.12.3.1-KJ02XewdvWJHGa2GVFsQSX
    yaml-0.11.6.0-ImdFadG54Jo1M1hipg9TpN
    zip-archive-0.4.1-3PRIiqRTkDY2bOkq9S2KhG
    zlib-0.6.2.3-72G9KJNhtRc8XRXJwRL5Ef

haddock-interfaces:   /usr/share/doc/stack/html/stack.haddock
haddock-html:         /usr/share/doc/stack/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

